<?php
/**
 * Konfiguration der berofos Parameter
 * @author Gürsel Kücük <gk@beronet.com>
 */
class Berofos {

	public function display() {
		$ba = new beroAri();
		include '/usr/fallback/beroConf.php';
		$bc = new beroConf('root');
		$name = "BEROFOS_TITLE_DIS";
		include('./includes/header.php');
		if ($_POST['action'] == 'Activate' || $_POST['action'] == 'Aktivieren') {

			system("killall -9 bnfos");
			if ($_POST['ip_address'] != "") {
				//$ipad="-h ".$_POST['ip_address'];
			}
			if ($_POST['mac_address'] != "") {
				//$macad="-m ".$_POST['mac_address'];
			}
			if ($_POST['interval'] != "") {
				//$interval="-t ".$_POST['interval'];
			}
			system("bnfos --kick -b -c -h " . $_POST['ip_address'] . " -m " . $_POST['mac_address'] . " -w" . $_POST['interval']);
		}if ($_POST['action'] == 'Deactivate' || $_POST['action'] == 'Deaktivieren') {
			//kill any running bnfos
			system("killall -9 bnfos");
		}
		if ($_POST['action'] == 'Save' || $_POST['action'] == 'Speichern') {
			$ba->set("ip_berofos", sqlite_escape_string($_POST['ip_address']));
			$ba->set("mac_berofos", sqlite_escape_string($_POST['mac_address']));
			$ba->set("interval_berofos", sqlite_escape_string($_POST['interval']));
			if (isset($_POST['use_boot_bnfos_wdog'])) {
				$bc->set("root", "use_boot_bnfoswdog", '1');
			} else {
				$bc->set("root", "use_boot_bnfoswdog", '0');
			}
			$retps = exec("ps x|grep bnfos|grep -v 'grep\|sed'|wc -l");
			if ($retps == 1) {
				system("killall -9 bnfos");
				system("bnfos --kick -b -c -h " . $_POST['ip_address'] . " -m " . $_POST['mac_address'] . " -w" . $_POST['interval']);
			}
			$berofos_table .= Helper::activate(1, true, $_GET['m'], ACTIVATE);
		}

		$m = $_GET['m'];
		$berofos_table .= $this->dynamic_table();
		ob_start();
		?>
		<form name='berofos' id='berofos_form' action='' class="form-horizontal" method='POST'>
			<input type=hidden name=m value="<? echo $m; ?>">
			<br>
			<? echo $berofos_table; ?>
			<br>
		</form>
		<script>
		    $("#berofos_form").validate({
		        rules: {
		            ip_address: {
		                required: true,
		            },
		            interval: {
		                required: true,
		                digits: true,
		            },
		            mac_address: {
		                required: true,
		                checkMac: true,
		            },
		        }
		    });
		</script>
		<?php
		$ret .= ob_get_clean();
		//Rückgabe: Inhalt der HTML-Seite
		return $ret;
	}

	public function start_bnfos() {
		
	}

	public function stop_bnfos() {
		
	}

	public function dynamic_table() {
		$ba = new beroAri();
		$bc = new beroConf('root');
		require_once("./includes/lang.php");

		$retps = exec("ps x|grep bnfos|grep -v 'grep\|sed'|wc -l");
		$bnfosstate = $retps;

		ob_start();
		?>

		<p class="text-center lead" ><? echo BEROFOS_TABLE_HEADER_DIS; ?></p>
		<div class='form-group' data-toggle='tooltip' title='<? echo BNFOSIP; ?>'>
			<label for='ip_address' class='col-sm-5 control-label'><? echo BEROFOS_IP_ADDRESS_DIS; ?></label>
			<div class='col-sm-4'>
				<input name="ip_address" class="form-control input-sm" type="text" size="15" value="<? echo $ba->get('ip_berofos'); ?>">
			</div>
		</div>
		<div class='form-group' data-toggle='tooltip' title='<? echo BNFOSMAC; ?>'>
			<label for='mac_address' class='col-sm-5 control-label'><? echo BEROFOS_MAC_ADDRESS_DIS; ?></label>
			<div class='col-sm-4'>
				<input name="mac_address" class="form-control input-sm" type="text" size="15" value="<? echo $ba->get('mac_berofos'); ?>">
			</div>
		</div>
		<div class='form-group' data-toggle='tooltip' title='<? echo BNFOSINTERVALL; ?>'>
			<label for='interval' class='col-sm-5 control-label'><? echo BEROFOS_INTERVAL_DIS; ?></label>
			<div class='col-sm-4'>
				<input name="interval" class="form-control input-sm" type="text" size="15" value="<? echo $ba->get('interval_berofos'); ?>">
			</div>
		</div>
		<div class='form-group' data-toggle='tooltip' title='<? echo BNFOSUSEBOOTWDOG; ?>'>
			<label for='use_boot_bnfos_wdog' class='col-sm-5 control-label'><? echo BEROFOS_HEARTBEAT_ON_BOOT_DIS; ?></label>
			<div class='col-sm-4'>
				<input type='checkbox' name='use_boot_bnfos_wdog' id='use_boot_bnfos_wdog' value='1' 
				<?
				echo ($bc->get('root', 'use_boot_bnfoswdog') == "1" || $bc->get('root', 'use_boot_bnfoswdog') == "yes") ?
					"checked" : "";
				?>>
			</div>
		</div>
		<div class="text-center" data-toggle='tooltip' title='<? echo BNFOSSAVE; ?>'>
			<input type='submit' class='btn btn-default' name='action' Value='<? echo BUTTON_SAVE; ?>'>
		</div>
		<br>
		<p class="text-center lead" ><? echo BEROFOS_HEARTBEAT_STATE_DIS; ?></p>
		<div class='form-group' data-toggle='tooltip' title='<? echo BNFOSSTATE; ?>'>
			<div class='col-sm-6 control-label img-responsive'>
				<img src='<? echo ($bnfosstate == 1) ? "./includes/images/punkt_gruen.gif" : "./includes/images/punkt_rot.gif"; ?>'>
			</div>
			<div class='col-sm-6'>
				<input type='submit' name='action' class='btn btn-default' value='<? echo ($bnfosstate == 1) ? BUTTON_DEACTIVATE : BUTTON_ACTIVATE; ?>'>
			</div>
		</div>
		<div class='text-center'><i><? echo REQUIRED_FIELDS; ?></i></div>
		<?
		return ob_get_clean();
	}

}
?>
